Bug 505543 - Mitter sporadically crashes during refresh
Mitter sporadically crashes during refresh
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mitter (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Lev Shamardin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 07:12 EDT by Georgi Hristozov
Modified: 2010-02-13 02:21 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-13 02:21:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Georgi Hristozov 2009-06-12 07:12:33 EDT
Description of problem:
Sometimes Mitter suddenly closes when refreshing (either automatically and manually).

Version-Release number of selected component (if applicable):
0.4.3

How reproducible:
Not intentionally reproducible for now.

Additional info:
Here's the stderr output produced by mitter:

** (mitter:8803): WARNING **: expected enumeration type PangoWrapMode, but got GtkWrapMode instead
The program 'mitter' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadDrawable (invalid Pixmap or Window parameter)'.
  (Details: serial 225706 error_code 9 request_code 62 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

Please note that the first message appears during the startup of the application. It's probably irrelevant to the bug.
Comment 1 Georgi Hristozov 2009-06-12 07:28:42 EDT
This time I got the following message after Mitter crashed on manual refresh:

python: xcb_io.c:176: process_responses: Assertion `!(req && current_request && !(((long) (req->sequence) - (long) (current_request)) <= 0))' failed.
43bfc9bc-4db7-5178-79a65ad9-743708d6 is dumped
Comment 2 Georgi Hristozov 2009-06-12 10:54:52 EDT
Another message after the crash this time:

ERROR:mitterlib.threadhttp.1:URL error: [Errno -3] Temporary failure in name resolution
INFO:mitterlib.threadhttp.1:Got HTTP Status -2 from twitter.com
mitter: Fatal IO error 11 (Resource temporarily unavailable) on X server :0.0.
Comment 3 Lev Shamardin 2009-09-20 09:28:47 EDT
Could you please check if you can still reproduce this with mitter-0.4.5-1 from fedora-11 updates-testing?

Note You need to log in before you can comment on or make changes to this bug.